<?php 
// Modification by M. Rsel
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "Show Article" - Preview article versions       |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / June 2012 ==

*/

// es werde bergeben rubric, nr und opt. pagetype
define('CPO', true);
require_once('../_include/checkaccess.inc.php');

$pagetype = (!isset($_GET['pagetype'])) ? 'index' : $_GET['pagetype'];
require(CPO_BASEDIR.'_include/var_category.php');
require(CPO_BASEDIR.'_include/secure.php');

// der anzuzeigende Artikel
$query  =  "SELECT 
			rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify 
			FROM ".CPO_NEWS." 
			WHERE 
			nr=".$_REQUEST['nr']."
			";
$db = new DB;
$db->query($query);
ob_start();
// no article with that number found.
if ($db->num_rows()<=0) {
	echo $cpoRubricSettings['noArticlesFound'];
}
$db->next_record();

$GLOBALS['lastUpdated'] = 0;
$db_template      = $db->v('templates_id');
$db_nr            = $db->v('nr');
$db_idx           = $db->v('idx');
$db_email         = $db->v('email');
$db_autor         = $db->v('autor');
$db_changer       = $db->v('changer');
$db_pub_datum     = $db->v('pub_datum');
$db_verfallsdatum = $db->v('verfallsdatum');
$db_commentary    = $db->v('commentary');
$db_titel         = $db->v('titel');
$db_initial       = $db->v('initial');
$db_freigabe      = $db->v('freigabe');
$db_rubric_id     = $db->v('rubric_id');
$db_last_modify   = $db->v('last_modify');
if ($GLOBALS['lastUpdated']<strtotime($db_last_modify)) {
	$GLOBALS['lastUpdated'] = strtotime($db_last_modify);
}
require(CPO_BASEDIR.'_include/select_template.php');
$showArticle = ob_get_clean();

$PageTypeSelector = "<br /><br/>"
		.(($pagetype != "index")?'<a href="show_article.php?rubric='.$_GET['rubric'].'&nr='.$_GET['nr'].'&pagetype=index">Rubrikseite</a>':"Rubrikseite")." | "
		.(($pagetype != "detail")?'<a href="show_article.php?rubric='.$_GET['rubric'].'&nr='.$_GET['nr'].'&pagetype=detail">Artikelseite</a>':"Artikelseite")." | "
		.(($pagetype != "php")?'<a href="show_article.php?rubric='.$_GET['rubric'].'&nr='.$_GET['nr'].'&pagetype=php">PHP-Include</a>':"PHP-Include");

// header and footer mechanism
if (version_compare($CPO['version'], '4.1.0', '<') || $cpoRubricSettings['pagetemplate_'.$pagetype]==0) {
	if ($pagetype == "index" || $pagetype == "detail") include(CPO_BASEDIR.$_SESSION['SID_rubric_directory'].'/loadheaders.php');
    echo $showArticle.$PageTypeSelector;
	if ($pagetype == "index" || $pagetype == "detail") include(CPO_BASEDIR.$_SESSION['SID_rubric_directory'].'/loadfooters.php');
    exit;
}

// fetch pagetemplate from database and build page
$db = new DB;
$db->query('SELECT pagetemplate FROM '.CPO_PAGETEMPLATES.' '
    .'WHERE id='.(int)$cpoRubricSettings['pagetemplate_'.$pagetype].' '
);
$db->next_record();
$pageTemplate = $db->v('pagetemplate');
//echo $pageTemplate;
$pageTagsPreg = '/<!--\s*page\s*:\s*articles\s*(?!id=)[^>]\s*-->/isU'; // nur der Artikelplatzhalter der aktuellen Rubrik, also OHNE id
$pageTemplate = preg_replace ($pageTagsPreg, $showArticle.$PageTypeSelector, $pageTemplate);
require CPO_BASEDIR.'_include/buildpage.inc.php';
